Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network5.48.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
5.48.0.0
Broadcast address
5.55.255.255
First usable
5.48.0.1
Last usable
5.55.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
A (default /8)
As numbers
Hex 05300000 · Integer 87031808 to 87556095
Reverse DNS zones
48.5.in-addr.arpa
49.5.in-addr.arpa
50.5.in-addr.arpa
51.5.in-addr.arpa
52.5.in-addr.arpa
53.5.in-addr.arpa
54.5.in-addr.arpa
55.5.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000101.00110000.00000000.000000005.48.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network00000101.00110000.00000000.000000005.48.0.0
Broadcast00000101.00110111.11111111.111111115.55.255.255
Split into smaller subnets/22

5.48.0.0/13 makes 512 subnets of /22; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
15.48.0.0/225.48.0.1 to 5.48.3.2545.48.3.2551,022
25.48.4.0/225.48.4.1 to 5.48.7.2545.48.7.2551,022
35.48.8.0/225.48.8.1 to 5.48.11.2545.48.11.2551,022
45.48.12.0/225.48.12.1 to 5.48.15.2545.48.15.2551,022
55.48.16.0/225.48.16.1 to 5.48.19.2545.48.19.2551,022
65.48.20.0/225.48.20.1 to 5.48.23.2545.48.23.2551,022
75.48.24.0/225.48.24.1 to 5.48.27.2545.48.27.2551,022
85.48.28.0/225.48.28.1 to 5.48.31.2545.48.31.2551,022
95.48.32.0/225.48.32.1 to 5.48.35.2545.48.35.2551,022
105.48.36.0/225.48.36.1 to 5.48.39.2545.48.39.2551,022
115.48.40.0/225.48.40.1 to 5.48.43.2545.48.43.2551,022
125.48.44.0/225.48.44.1 to 5.48.47.2545.48.47.2551,022
135.48.48.0/225.48.48.1 to 5.48.51.2545.48.51.2551,022
145.48.52.0/225.48.52.1 to 5.48.55.2545.48.55.2551,022
155.48.56.0/225.48.56.1 to 5.48.59.2545.48.59.2551,022
165.48.60.0/225.48.60.1 to 5.48.63.2545.48.63.2551,022
175.48.64.0/225.48.64.1 to 5.48.67.2545.48.67.2551,022
185.48.68.0/225.48.68.1 to 5.48.71.2545.48.71.2551,022
195.48.72.0/225.48.72.1 to 5.48.75.2545.48.75.2551,022
205.48.76.0/225.48.76.1 to 5.48.79.2545.48.79.2551,022
215.48.80.0/225.48.80.1 to 5.48.83.2545.48.83.2551,022
225.48.84.0/225.48.84.1 to 5.48.87.2545.48.87.2551,022
235.48.88.0/225.48.88.1 to 5.48.91.2545.48.91.2551,022
245.48.92.0/225.48.92.1 to 5.48.95.2545.48.95.2551,022
255.48.96.0/225.48.96.1 to 5.48.99.2545.48.99.2551,022
265.48.100.0/225.48.100.1 to 5.48.103.2545.48.103.2551,022
275.48.104.0/225.48.104.1 to 5.48.107.2545.48.107.2551,022
285.48.108.0/225.48.108.1 to 5.48.111.2545.48.111.2551,022
295.48.112.0/225.48.112.1 to 5.48.115.2545.48.115.2551,022
305.48.116.0/225.48.116.1 to 5.48.119.2545.48.119.2551,022
315.48.120.0/225.48.120.1 to 5.48.123.2545.48.123.2551,022
325.48.124.0/225.48.124.1 to 5.48.127.2545.48.127.2551,022
335.48.128.0/225.48.128.1 to 5.48.131.2545.48.131.2551,022
345.48.132.0/225.48.132.1 to 5.48.135.2545.48.135.2551,022
355.48.136.0/225.48.136.1 to 5.48.139.2545.48.139.2551,022
365.48.140.0/225.48.140.1 to 5.48.143.2545.48.143.2551,022
375.48.144.0/225.48.144.1 to 5.48.147.2545.48.147.2551,022
385.48.148.0/225.48.148.1 to 5.48.151.2545.48.151.2551,022
395.48.152.0/225.48.152.1 to 5.48.155.2545.48.155.2551,022
405.48.156.0/225.48.156.1 to 5.48.159.2545.48.159.2551,022
415.48.160.0/225.48.160.1 to 5.48.163.2545.48.163.2551,022
425.48.164.0/225.48.164.1 to 5.48.167.2545.48.167.2551,022
435.48.168.0/225.48.168.1 to 5.48.171.2545.48.171.2551,022
445.48.172.0/225.48.172.1 to 5.48.175.2545.48.175.2551,022
455.48.176.0/225.48.176.1 to 5.48.179.2545.48.179.2551,022
465.48.180.0/225.48.180.1 to 5.48.183.2545.48.183.2551,022
475.48.184.0/225.48.184.1 to 5.48.187.2545.48.187.2551,022
485.48.188.0/225.48.188.1 to 5.48.191.2545.48.191.2551,022
495.48.192.0/225.48.192.1 to 5.48.195.2545.48.195.2551,022
505.48.196.0/225.48.196.1 to 5.48.199.2545.48.199.2551,022
515.48.200.0/225.48.200.1 to 5.48.203.2545.48.203.2551,022
525.48.204.0/225.48.204.1 to 5.48.207.2545.48.207.2551,022
535.48.208.0/225.48.208.1 to 5.48.211.2545.48.211.2551,022
545.48.212.0/225.48.212.1 to 5.48.215.2545.48.215.2551,022
555.48.216.0/225.48.216.1 to 5.48.219.2545.48.219.2551,022
565.48.220.0/225.48.220.1 to 5.48.223.2545.48.223.2551,022
575.48.224.0/225.48.224.1 to 5.48.227.2545.48.227.2551,022
585.48.228.0/225.48.228.1 to 5.48.231.2545.48.231.2551,022
595.48.232.0/225.48.232.1 to 5.48.235.2545.48.235.2551,022
605.48.236.0/225.48.236.1 to 5.48.239.2545.48.239.2551,022
615.48.240.0/225.48.240.1 to 5.48.243.2545.48.243.2551,022
625.48.244.0/225.48.244.1 to 5.48.247.2545.48.247.2551,022
635.48.248.0/225.48.248.1 to 5.48.251.2545.48.251.2551,022
645.48.252.0/225.48.252.1 to 5.48.255.2545.48.255.2551,022
655.49.0.0/225.49.0.1 to 5.49.3.2545.49.3.2551,022
665.49.4.0/225.49.4.1 to 5.49.7.2545.49.7.2551,022
675.49.8.0/225.49.8.1 to 5.49.11.2545.49.11.2551,022
685.49.12.0/225.49.12.1 to 5.49.15.2545.49.15.2551,022
695.49.16.0/225.49.16.1 to 5.49.19.2545.49.19.2551,022
705.49.20.0/225.49.20.1 to 5.49.23.2545.49.23.2551,022
715.49.24.0/225.49.24.1 to 5.49.27.2545.49.27.2551,022
725.49.28.0/225.49.28.1 to 5.49.31.2545.49.31.2551,022
735.49.32.0/225.49.32.1 to 5.49.35.2545.49.35.2551,022
745.49.36.0/225.49.36.1 to 5.49.39.2545.49.39.2551,022
755.49.40.0/225.49.40.1 to 5.49.43.2545.49.43.2551,022
765.49.44.0/225.49.44.1 to 5.49.47.2545.49.47.2551,022
775.49.48.0/225.49.48.1 to 5.49.51.2545.49.51.2551,022
785.49.52.0/225.49.52.1 to 5.49.55.2545.49.55.2551,022
795.49.56.0/225.49.56.1 to 5.49.59.2545.49.59.2551,022
805.49.60.0/225.49.60.1 to 5.49.63.2545.49.63.2551,022
815.49.64.0/225.49.64.1 to 5.49.67.2545.49.67.2551,022
825.49.68.0/225.49.68.1 to 5.49.71.2545.49.71.2551,022
835.49.72.0/225.49.72.1 to 5.49.75.2545.49.75.2551,022
845.49.76.0/225.49.76.1 to 5.49.79.2545.49.79.2551,022
855.49.80.0/225.49.80.1 to 5.49.83.2545.49.83.2551,022
865.49.84.0/225.49.84.1 to 5.49.87.2545.49.87.2551,022
875.49.88.0/225.49.88.1 to 5.49.91.2545.49.91.2551,022
885.49.92.0/225.49.92.1 to 5.49.95.2545.49.95.2551,022
895.49.96.0/225.49.96.1 to 5.49.99.2545.49.99.2551,022
905.49.100.0/225.49.100.1 to 5.49.103.2545.49.103.2551,022
915.49.104.0/225.49.104.1 to 5.49.107.2545.49.107.2551,022
925.49.108.0/225.49.108.1 to 5.49.111.2545.49.111.2551,022
935.49.112.0/225.49.112.1 to 5.49.115.2545.49.115.2551,022
945.49.116.0/225.49.116.1 to 5.49.119.2545.49.119.2551,022
955.49.120.0/225.49.120.1 to 5.49.123.2545.49.123.2551,022
965.49.124.0/225.49.124.1 to 5.49.127.2545.49.127.2551,022
975.49.128.0/225.49.128.1 to 5.49.131.2545.49.131.2551,022
985.49.132.0/225.49.132.1 to 5.49.135.2545.49.135.2551,022
995.49.136.0/225.49.136.1 to 5.49.139.2545.49.139.2551,022
1005.49.140.0/225.49.140.1 to 5.49.143.2545.49.143.2551,022
1015.49.144.0/225.49.144.1 to 5.49.147.2545.49.147.2551,022
1025.49.148.0/225.49.148.1 to 5.49.151.2545.49.151.2551,022
1035.49.152.0/225.49.152.1 to 5.49.155.2545.49.155.2551,022
1045.49.156.0/225.49.156.1 to 5.49.159.2545.49.159.2551,022
1055.49.160.0/225.49.160.1 to 5.49.163.2545.49.163.2551,022
1065.49.164.0/225.49.164.1 to 5.49.167.2545.49.167.2551,022
1075.49.168.0/225.49.168.1 to 5.49.171.2545.49.171.2551,022
1085.49.172.0/225.49.172.1 to 5.49.175.2545.49.175.2551,022
1095.49.176.0/225.49.176.1 to 5.49.179.2545.49.179.2551,022
1105.49.180.0/225.49.180.1 to 5.49.183.2545.49.183.2551,022
1115.49.184.0/225.49.184.1 to 5.49.187.2545.49.187.2551,022
1125.49.188.0/225.49.188.1 to 5.49.191.2545.49.191.2551,022
1135.49.192.0/225.49.192.1 to 5.49.195.2545.49.195.2551,022
1145.49.196.0/225.49.196.1 to 5.49.199.2545.49.199.2551,022
1155.49.200.0/225.49.200.1 to 5.49.203.2545.49.203.2551,022
1165.49.204.0/225.49.204.1 to 5.49.207.2545.49.207.2551,022
1175.49.208.0/225.49.208.1 to 5.49.211.2545.49.211.2551,022
1185.49.212.0/225.49.212.1 to 5.49.215.2545.49.215.2551,022
1195.49.216.0/225.49.216.1 to 5.49.219.2545.49.219.2551,022
1205.49.220.0/225.49.220.1 to 5.49.223.2545.49.223.2551,022
1215.49.224.0/225.49.224.1 to 5.49.227.2545.49.227.2551,022
1225.49.228.0/225.49.228.1 to 5.49.231.2545.49.231.2551,022
1235.49.232.0/225.49.232.1 to 5.49.235.2545.49.235.2551,022
1245.49.236.0/225.49.236.1 to 5.49.239.2545.49.239.2551,022
1255.49.240.0/225.49.240.1 to 5.49.243.2545.49.243.2551,022
1265.49.244.0/225.49.244.1 to 5.49.247.2545.49.247.2551,022
1275.49.248.0/225.49.248.1 to 5.49.251.2545.49.251.2551,022
1285.49.252.0/225.49.252.1 to 5.49.255.2545.49.255.2551,022
1295.50.0.0/225.50.0.1 to 5.50.3.2545.50.3.2551,022
1305.50.4.0/225.50.4.1 to 5.50.7.2545.50.7.2551,022
1315.50.8.0/225.50.8.1 to 5.50.11.2545.50.11.2551,022
1325.50.12.0/225.50.12.1 to 5.50.15.2545.50.15.2551,022
1335.50.16.0/225.50.16.1 to 5.50.19.2545.50.19.2551,022
1345.50.20.0/225.50.20.1 to 5.50.23.2545.50.23.2551,022
1355.50.24.0/225.50.24.1 to 5.50.27.2545.50.27.2551,022
1365.50.28.0/225.50.28.1 to 5.50.31.2545.50.31.2551,022
1375.50.32.0/225.50.32.1 to 5.50.35.2545.50.35.2551,022
1385.50.36.0/225.50.36.1 to 5.50.39.2545.50.39.2551,022
1395.50.40.0/225.50.40.1 to 5.50.43.2545.50.43.2551,022
1405.50.44.0/225.50.44.1 to 5.50.47.2545.50.47.2551,022
1415.50.48.0/225.50.48.1 to 5.50.51.2545.50.51.2551,022
1425.50.52.0/225.50.52.1 to 5.50.55.2545.50.55.2551,022
1435.50.56.0/225.50.56.1 to 5.50.59.2545.50.59.2551,022
1445.50.60.0/225.50.60.1 to 5.50.63.2545.50.63.2551,022
1455.50.64.0/225.50.64.1 to 5.50.67.2545.50.67.2551,022
1465.50.68.0/225.50.68.1 to 5.50.71.2545.50.71.2551,022
1475.50.72.0/225.50.72.1 to 5.50.75.2545.50.75.2551,022
1485.50.76.0/225.50.76.1 to 5.50.79.2545.50.79.2551,022
1495.50.80.0/225.50.80.1 to 5.50.83.2545.50.83.2551,022
1505.50.84.0/225.50.84.1 to 5.50.87.2545.50.87.2551,022
1515.50.88.0/225.50.88.1 to 5.50.91.2545.50.91.2551,022
1525.50.92.0/225.50.92.1 to 5.50.95.2545.50.95.2551,022
1535.50.96.0/225.50.96.1 to 5.50.99.2545.50.99.2551,022
1545.50.100.0/225.50.100.1 to 5.50.103.2545.50.103.2551,022
1555.50.104.0/225.50.104.1 to 5.50.107.2545.50.107.2551,022
1565.50.108.0/225.50.108.1 to 5.50.111.2545.50.111.2551,022
1575.50.112.0/225.50.112.1 to 5.50.115.2545.50.115.2551,022
1585.50.116.0/225.50.116.1 to 5.50.119.2545.50.119.2551,022
1595.50.120.0/225.50.120.1 to 5.50.123.2545.50.123.2551,022
1605.50.124.0/225.50.124.1 to 5.50.127.2545.50.127.2551,022
1615.50.128.0/225.50.128.1 to 5.50.131.2545.50.131.2551,022
1625.50.132.0/225.50.132.1 to 5.50.135.2545.50.135.2551,022
1635.50.136.0/225.50.136.1 to 5.50.139.2545.50.139.2551,022
1645.50.140.0/225.50.140.1 to 5.50.143.2545.50.143.2551,022
1655.50.144.0/225.50.144.1 to 5.50.147.2545.50.147.2551,022
1665.50.148.0/225.50.148.1 to 5.50.151.2545.50.151.2551,022
1675.50.152.0/225.50.152.1 to 5.50.155.2545.50.155.2551,022
1685.50.156.0/225.50.156.1 to 5.50.159.2545.50.159.2551,022
1695.50.160.0/225.50.160.1 to 5.50.163.2545.50.163.2551,022
1705.50.164.0/225.50.164.1 to 5.50.167.2545.50.167.2551,022
1715.50.168.0/225.50.168.1 to 5.50.171.2545.50.171.2551,022
1725.50.172.0/225.50.172.1 to 5.50.175.2545.50.175.2551,022
1735.50.176.0/225.50.176.1 to 5.50.179.2545.50.179.2551,022
1745.50.180.0/225.50.180.1 to 5.50.183.2545.50.183.2551,022
1755.50.184.0/225.50.184.1 to 5.50.187.2545.50.187.2551,022
1765.50.188.0/225.50.188.1 to 5.50.191.2545.50.191.2551,022
1775.50.192.0/225.50.192.1 to 5.50.195.2545.50.195.2551,022
1785.50.196.0/225.50.196.1 to 5.50.199.2545.50.199.2551,022
1795.50.200.0/225.50.200.1 to 5.50.203.2545.50.203.2551,022
1805.50.204.0/225.50.204.1 to 5.50.207.2545.50.207.2551,022
1815.50.208.0/225.50.208.1 to 5.50.211.2545.50.211.2551,022
1825.50.212.0/225.50.212.1 to 5.50.215.2545.50.215.2551,022
1835.50.216.0/225.50.216.1 to 5.50.219.2545.50.219.2551,022
1845.50.220.0/225.50.220.1 to 5.50.223.2545.50.223.2551,022
1855.50.224.0/225.50.224.1 to 5.50.227.2545.50.227.2551,022
1865.50.228.0/225.50.228.1 to 5.50.231.2545.50.231.2551,022
1875.50.232.0/225.50.232.1 to 5.50.235.2545.50.235.2551,022
1885.50.236.0/225.50.236.1 to 5.50.239.2545.50.239.2551,022
1895.50.240.0/225.50.240.1 to 5.50.243.2545.50.243.2551,022
1905.50.244.0/225.50.244.1 to 5.50.247.2545.50.247.2551,022
1915.50.248.0/225.50.248.1 to 5.50.251.2545.50.251.2551,022
1925.50.252.0/225.50.252.1 to 5.50.255.2545.50.255.2551,022
1935.51.0.0/225.51.0.1 to 5.51.3.2545.51.3.2551,022
1945.51.4.0/225.51.4.1 to 5.51.7.2545.51.7.2551,022
1955.51.8.0/225.51.8.1 to 5.51.11.2545.51.11.2551,022
1965.51.12.0/225.51.12.1 to 5.51.15.2545.51.15.2551,022
1975.51.16.0/225.51.16.1 to 5.51.19.2545.51.19.2551,022
1985.51.20.0/225.51.20.1 to 5.51.23.2545.51.23.2551,022
1995.51.24.0/225.51.24.1 to 5.51.27.2545.51.27.2551,022
2005.51.28.0/225.51.28.1 to 5.51.31.2545.51.31.2551,022
2015.51.32.0/225.51.32.1 to 5.51.35.2545.51.35.2551,022
2025.51.36.0/225.51.36.1 to 5.51.39.2545.51.39.2551,022
2035.51.40.0/225.51.40.1 to 5.51.43.2545.51.43.2551,022
2045.51.44.0/225.51.44.1 to 5.51.47.2545.51.47.2551,022
2055.51.48.0/225.51.48.1 to 5.51.51.2545.51.51.2551,022
2065.51.52.0/225.51.52.1 to 5.51.55.2545.51.55.2551,022
2075.51.56.0/225.51.56.1 to 5.51.59.2545.51.59.2551,022
2085.51.60.0/225.51.60.1 to 5.51.63.2545.51.63.2551,022
2095.51.64.0/225.51.64.1 to 5.51.67.2545.51.67.2551,022
2105.51.68.0/225.51.68.1 to 5.51.71.2545.51.71.2551,022
2115.51.72.0/225.51.72.1 to 5.51.75.2545.51.75.2551,022
2125.51.76.0/225.51.76.1 to 5.51.79.2545.51.79.2551,022
2135.51.80.0/225.51.80.1 to 5.51.83.2545.51.83.2551,022
2145.51.84.0/225.51.84.1 to 5.51.87.2545.51.87.2551,022
2155.51.88.0/225.51.88.1 to 5.51.91.2545.51.91.2551,022
2165.51.92.0/225.51.92.1 to 5.51.95.2545.51.95.2551,022
2175.51.96.0/225.51.96.1 to 5.51.99.2545.51.99.2551,022
2185.51.100.0/225.51.100.1 to 5.51.103.2545.51.103.2551,022
2195.51.104.0/225.51.104.1 to 5.51.107.2545.51.107.2551,022
2205.51.108.0/225.51.108.1 to 5.51.111.2545.51.111.2551,022
2215.51.112.0/225.51.112.1 to 5.51.115.2545.51.115.2551,022
2225.51.116.0/225.51.116.1 to 5.51.119.2545.51.119.2551,022
2235.51.120.0/225.51.120.1 to 5.51.123.2545.51.123.2551,022
2245.51.124.0/225.51.124.1 to 5.51.127.2545.51.127.2551,022
2255.51.128.0/225.51.128.1 to 5.51.131.2545.51.131.2551,022
2265.51.132.0/225.51.132.1 to 5.51.135.2545.51.135.2551,022
2275.51.136.0/225.51.136.1 to 5.51.139.2545.51.139.2551,022
2285.51.140.0/225.51.140.1 to 5.51.143.2545.51.143.2551,022
2295.51.144.0/225.51.144.1 to 5.51.147.2545.51.147.2551,022
2305.51.148.0/225.51.148.1 to 5.51.151.2545.51.151.2551,022
2315.51.152.0/225.51.152.1 to 5.51.155.2545.51.155.2551,022
2325.51.156.0/225.51.156.1 to 5.51.159.2545.51.159.2551,022
2335.51.160.0/225.51.160.1 to 5.51.163.2545.51.163.2551,022
2345.51.164.0/225.51.164.1 to 5.51.167.2545.51.167.2551,022
2355.51.168.0/225.51.168.1 to 5.51.171.2545.51.171.2551,022
2365.51.172.0/225.51.172.1 to 5.51.175.2545.51.175.2551,022
2375.51.176.0/225.51.176.1 to 5.51.179.2545.51.179.2551,022
2385.51.180.0/225.51.180.1 to 5.51.183.2545.51.183.2551,022
2395.51.184.0/225.51.184.1 to 5.51.187.2545.51.187.2551,022
2405.51.188.0/225.51.188.1 to 5.51.191.2545.51.191.2551,022
2415.51.192.0/225.51.192.1 to 5.51.195.2545.51.195.2551,022
2425.51.196.0/225.51.196.1 to 5.51.199.2545.51.199.2551,022
2435.51.200.0/225.51.200.1 to 5.51.203.2545.51.203.2551,022
2445.51.204.0/225.51.204.1 to 5.51.207.2545.51.207.2551,022
2455.51.208.0/225.51.208.1 to 5.51.211.2545.51.211.2551,022
2465.51.212.0/225.51.212.1 to 5.51.215.2545.51.215.2551,022
2475.51.216.0/225.51.216.1 to 5.51.219.2545.51.219.2551,022
2485.51.220.0/225.51.220.1 to 5.51.223.2545.51.223.2551,022
2495.51.224.0/225.51.224.1 to 5.51.227.2545.51.227.2551,022
2505.51.228.0/225.51.228.1 to 5.51.231.2545.51.231.2551,022
2515.51.232.0/225.51.232.1 to 5.51.235.2545.51.235.2551,022
2525.51.236.0/225.51.236.1 to 5.51.239.2545.51.239.2551,022
2535.51.240.0/225.51.240.1 to 5.51.243.2545.51.243.2551,022
2545.51.244.0/225.51.244.1 to 5.51.247.2545.51.247.2551,022
2555.51.248.0/225.51.248.1 to 5.51.251.2545.51.251.2551,022
2565.51.252.0/225.51.252.1 to 5.51.255.2545.51.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses